Package org.apache.lucene.benchmark.byTask.feeds

# Class DocMaker.DocState

java.lang.Object
org.apache.lucene.benchmark.byTask.feeds.DocMaker.DocState

Enclosing class:
  `DocMaker`

protected static class DocMaker.DocState extends Object
Document state, supports reuse of field instances across documents (see `reuseFields` parameter).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocState(boolean reuseFields, FieldType ft, FieldType bodyFt)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocState

    public DocState(boolean reuseFields, FieldType ft, FieldType bodyFt)